=== debian/changelog ===
steadyflow (0.1.6-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Remove Vcs- headers.
    - Remove libnotify4-dev dependency, removed from Ubuntu.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 21 May 2011 13:18:58 +0700

steadyflow (0.1.6-0ubuntu1) oneiric; urgency=low

  * Initial release. (LP: #779413)

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 08 May 2011 17:25:44 +0700
