=== debian/control ===
Source: steadyflow
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 cmake (>= 2.6),
 valac-0.12,
 libgtk2.0-dev (>= 2.16),
 libglib2.0-dev (>= 2.26),
 libgee-dev,
 libappindicator-dev | hello,
 libnotify-dev,
 libunique-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/~steadyflow

Package: steadyflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gvfs-backends
Description: Simple download manager for GNOME
 Steadyflow is a GTK+ based download manager that aims for minimalism, ease
 of use, and a clean, malleable codebase. It should be easy to control,
 whether from the GUI, command line, or D-Bus.
