## steadyflow 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Change version number on release
-set(PROJECT_VERSION "0.1.6")
+set(PROJECT_VERSION "0.1.7~bzr")
 set(COMMON_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
 set(PROJECT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/steadyflow)
 
@@ -34,6 +34,8 @@
 
 ensure_vala_version(0.12.0 MINIMUM)
 
+file (READ ${CMAKE_SOURCE_DIR}/AUTHORS PROJECT_AUTHORS)
+string (REPLACE "\n" "\\n\\\n" PROJECT_AUTHORS ${PROJECT_AUTHORS})
 configure_file(${CMAKE_SOURCE_DIR}/cmake/config.h.in ${CMAKE_BINARY_DIR}/config.h @ONLY)
 
 set(CUSTOM_VAPIS
