=== debian/changelog ===
steadyflow (0.1.7-3ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. Remaining change:
    - Build-depend on libappindicator-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Jun 2012 20:49:03 -0400

steadyflow (0.1.7-3) unstable; urgency=low

  * Integrate prepared patches by Michael Biebl <biebl@debian.org>
    for vala 0.14 compatibility. (Closes: #663321)
    + debian/control:
      - Depend on valac-0.14.
    + debian/patches/vala_executable.patch:
      - Search for valac-0.14 as the executable.
    + debian/patches/vala-0.14.patch:
      - Fix compilation errors with valac-0.14.
  * Add DEP-3 headers to patches.
  * debian/control:
    - Update Standards-Version to 3.9.3, no changes needed.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 07 May 2012 21:11:35 +0700

steadyflow (0.1.7-2) unstable; urgency=low

  * Remove libappindicator-dev | hello build-dependency; confuses Debian
    buildds even though the second alternative exists. (Closes: #633696)

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 13 Jul 2011 08:31:32 +0700

steadyflow (0.1.7-1) unstable; urgency=low

  * First upload to Debian. (Closes: #624765)
  * Add vala_executable.patch: Force using valac-0.12 even when another version
    of valac is installed in parallel.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 10 Jul 2011 23:11:59 +0700

steadyflow (0.1.7-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 22 May 2011 16:34:52 +0700
