=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: steadyflow
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
+Maintainer: Maia Kozheva <sikon@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6),
- valac-0.12,
+ valac-0.14,
+ libappindicator-dev,
  libgtk2.0-dev (>= 2.16),
  libglib2.0-dev (>= 2.26),
  libgee-dev,
- libappindicator-dev | hello,
  libnotify-dev,
  libunique-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/~steadyflow
+DM-Upload-Allowed: yes
 
 Package: steadyflow
 Architecture: any
