## steadyflow 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Change version number on release
-set(PROJECT_VERSION "0.1.7~bzr")
+set(PROJECT_VERSION "0.2.0")
 set(COMMON_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
 set(PROJECT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/steadyflow)
 
@@ -15,9 +15,13 @@
 # Packagers: set the option below to off so it does not generate the binary schema on build.
 option(COMPILE_GSETTINGS_ON_INSTALL "Compile GSettings schemas on install" ON)
 
+set(VALA_REQUIRED_VERSION 0.16)
+set(GLIB_REQUIRED_VERSION 2.30.0)
+set(GTK_REQUIRED_VERSION 3.0.0)
+
 find_package(PkgConfig REQUIRED)
 find_package(Vala REQUIRED)
-find_package(GTK2 REQUIRED)
+find_package(GTK3 REQUIRED)
 find_package(ExtraDeps REQUIRED)
 
 set(HAVE_AYATANA FALSE)
@@ -32,7 +36,7 @@
 include(Po)
 include(sources)
 
-ensure_vala_version(0.12.0 MINIMUM)
+ensure_vala_version(${VALA_REQUIRED_VERSION} MINIMUM)
 
 file (READ ${CMAKE_SOURCE_DIR}/AUTHORS PROJECT_AUTHORS)
 string (REPLACE "\n" "\\n\\\n" PROJECT_AUTHORS ${PROJECT_AUTHORS})
@@ -47,20 +51,13 @@
 	gee-1.0
 	gio-2.0
 	glib-2.0
-	gtk+-2.0
+	gtk+-3.0
 	gmodule-2.0
-	unique-1.0
+	libnotify
 )
 
-if (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-	message("-- libnotify version is less than 0.7, using compatibility vapi")
-	set(CUSTOM_VAPIS ${CUSTOM_VAPIS} ${CMAKE_SOURCE_DIR}/vapi/libnotify5compat.vapi)
-else (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-	set (VALA_PACKAGES ${VALA_PACKAGES} libnotify)
-endif (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-
 if(HAVE_AYATANA)
-	set(VALA_PACKAGES ${VALA_PACKAGES} appindicator-0.1)
+	set(VALA_PACKAGES ${VALA_PACKAGES} appindicator3-0.1)
 endif(HAVE_AYATANA)
 
 vala_precompile(VALA_C
@@ -87,12 +84,12 @@
 # Generate .mo from .po
 compile_po_files(${CMAKE_SOURCE_DIR}/po LOCALE_FILES)
 
-include_directories(${GTK2_ALL_INCLUDES} ${EXTRA_DEP_INCLUDES} ${CMAKE_BINARY_DIR})
-add_definitions(${GTK2_ALL_CFLAGS} ${EXTRA_DEP_CFLAGS}
+include_directories(${GTK3_ALL_INCLUDES} ${EXTRA_DEP_INCLUDES} ${CMAKE_BINARY_DIR})
+add_definitions(${GTK3_ALL_CFLAGS} ${EXTRA_DEP_CFLAGS}
 	-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\"
 )
 
 add_executable(steadyflow ${VALA_C} ${GSCHEMAS_COMPILED} ${DESKTOP_FILE} ${LOCALE_FILES})
-target_link_libraries(steadyflow ${GTK2_ALL_LIBS} ${EXTRA_DEP_LIBS})
+target_link_libraries(steadyflow ${GTK3_ALL_LIBS} ${EXTRA_DEP_LIBS})
 
 include(install)
