=== debian/changelog ===
steadyflow (0.2.0-1ubuntu2) saucy; urgency=low

  * Build with default valac 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 17:01:22 -0400

steadyflow (0.2.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining Ubuntu changes:
    - Build-depend on libappindicator3-dev.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 01 Jul 2012 00:45:46 +0700

steadyflow (0.2.0-1) unstable; urgency=low

  * New upstream release.
    - Now uses vala 0.16. (Closes: #675666)
    - Fixes broken Dutch translation. (Closes: #677465)
    - Clicking the tray icon shows the application window. (Closes: #642669)
  * debian/control:
    - Updated dependencies (Vala 0.16, GTK3, GLib 2.30, removed libunique).
  * Dropped all patches, merged upstream.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Jun 2012 19:40:42 +0700
