=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Maia Kozheva <sikon@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6),
- valac-0.14,
- libappindicator-dev,
- libgtk2.0-dev (>= 2.16),
- libglib2.0-dev (>= 2.26),
+ valac (>= 0.16),
+ libgtk-3-dev,
+ libglib2.0-dev (>= 2.30),
  libgee-dev,
  libnotify-dev,
- libunique-dev
+ libappindicator3-dev
 Standards-Version: 3.9.3
 Homepage: https://launchpad.net/~steadyflow
 DM-Upload-Allowed: yes
