=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

%:
	dh --buildsystem=cmake $@

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPILE_GSETTINGS_ON_INSTALL=OFF
