=== debian/watch ===
version=3
https://launchpad.net/steadyflow/+download http://launchpad\.net/steadyflow/.*/\+download/steadyflow-(.*)\.tar\.gz
